From e71eea9953c774dfadb754258824fb1888c279f4 Mon Sep 17 00:00:00 2001
From: Jonas Gorski <jogo@openwrt.org>
Date: Fri, 21 Nov 2014 16:54:06 +0100
Subject: [PATCH 47/48] MIPS: BCM63XX: populate the compatible to board_info
 list

Populate the compatible to board_info list to allow dtbs to be used
for known boards.

Signed-off-by: Jonas Gorski <jogo@openwrt.org>
---
 arch/mips/bcm63xx/boards/board_bcm963xx.c |   34 +++++++++++++++++++++++++++++
 1 file changed, 34 insertions(+)

--- a/arch/mips/bcm63xx/boards/board_bcm963xx.c
+++ b/arch/mips/bcm63xx/boards/board_bcm963xx.c
@@ -426,6 +426,52 @@ static const struct board_info __initcon
 };
 
 static struct of_device_id const bcm963xx_boards_dt[] = {
+#ifdef CONFIG_OF
+#ifdef CONFIG_BCM63XX_CPU_3368
+	{ .compatible = "netgear,cvg834g", .data = &board_cvg834g, },
+#endif /* CONFIG_BCM63XX_CPU_3368 */
+#ifdef CONFIG_BCM63XX_CPU_6318
+#endif /* CONFIG_BCM63XX_CPU_6318 */
+#ifdef CONFIG_BCM63XX_CPU_6328
+	{ .compatible = "brcm,bcm96328avng", .data = &board_96328avng, },
+#endif /* CONFIG_BCM63XX_CPU_6328 */
+#ifdef CONFIG_BCM63XX_CPU_6338
+	{ .compatible = "brcm,bcm96338gw", .data = &board_96338gw, },
+	{ .compatible = "brcm,bcm96338w", .data = &board_96338w, },
+#endif /* CONFIG_BCM63XX_CPU_6338 */
+#ifdef CONFIG_BCM63XX_CPU_6345
+	{ .compatible = "brcm,bcm96345gw2", .data = &board_96345gw2, },
+#endif /* CONFIG_BCM63XX_CPU_6345 */
+#ifdef CONFIG_BCM63XX_CPU_6348
+	{ .compatible = "belkin,f5d7633", .data = &board_96348gw_10, },
+	{ .compatible = "brcm,bcm96348r", .data = &board_96348r, },
+	{ .compatible = "brcm,bcm96348gw-10", .data = &board_96348gw_10, },
+	{ .compatible = "brcm,bcm96348gw-11", .data = &board_96348gw_11, },
+	{ .compatible = "brcm,bcm96348gw-a", .data = &board_96348gw_a, },
+	{ .compatible = "davolink,dv-201amr", .data = &board_DV201AMR, },
+	{ .compatible = "dynalink,rta1025w", .data = &board_rta1025w_16, },
+	{ .compatible = "netgear,dg834gt-pn", .data = &board_96348gw_10, },
+	{ .compatible = "sagem,fast-2404", .data = &board_FAST2404, },
+	{ .compatible = "tp-link,td-w8900gb", .data = &board_96348gw_11, },
+	{ .compatible = "usrobotics,usr9108", .data = &board_96348gw_a, },
+#endif /* CONFIG_BCM63XX_CPU_6348 */
+#ifdef CONFIG_BCM63XX_CPU_6358
+	{ .compatible = "alcatel,rg100a", .data = &board_96358vw2, },
+	{ .compatible = "brcm,bcm96358vw", .data = &board_96358vw, },
+	{ .compatible = "brcm,bcm96358vw2", .data = &board_96358vw2, },
+	{ .compatible = "d-link,dsl-2650u", .data = &board_96358vw2, },
+	{ .compatible = "pirelli,a226g", .data = &board_DWVS0, },
+	{ .compatible = "pirelli,a226m", .data = &board_DWVS0, },
+	{ .compatible = "pirelli,a226m-fwb", .data = &board_DWVS0, },
+	{ .compatible = "pirelli,agpf-s0", .data = &board_AGPFS0, },
+#endif /* CONFIG_BCM63XX_CPU_6358 */
+#ifdef CONFIG_BCM63XX_CPU_6362
+#endif /* CONFIG_BCM63XX_CPU_6362 */
+#ifdef CONFIG_BCM63XX_CPU_6368
+#endif /* CONFIG_BCM63XX_CPU_6368 */
+#ifdef CONFIG_BCM63XX_CPU_63268
+#endif /* CONFIG_BCM63XX_CPU_63268 */
+#endif /* CONFIG_OF */
 	{ },
 };
 
